import * as React from 'react';
import { VimWasm, ScreenDrawer } from 'vim-wasm';
export interface VimProps {
    worker?: string;
    drawer?: ScreenDrawer;
    debug?: boolean;
    perf?: boolean;
    onVimExit?: (status: number) => void;
    onVimInit?: () => void;
    onFileExport?: (fullpath: string, contents: ArrayBuffer) => void;
    readClipboard?: () => Promise<string>;
    onWriteClipboard?: (text: string) => Promise<void>;
    onError?: (err: Error) => void;
    className?: string;
    style?: React.CSSProperties;
    autoFocus?: boolean;
    onVimCreated?: (vim: VimWasm) => void;
}
export declare function useVim({ worker, drawer, debug, perf, onVimExit, onVimInit, onFileExport, readClipboard, onWriteClipboard, onError, onVimCreated, }: VimProps): [React.MutableRefObject<HTMLCanvasElement | null> | null, React.MutableRefObject<HTMLInputElement | null> | null, VimWasm | null];
export declare const Vim: React.SFC<VimProps>;
